Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

[Downloader] AttributeError with [p]findcog help #2902

Closed
PredaaA opened this issue Jul 24, 2019 · 0 comments · Fixed by #2970
Closed

[Downloader] AttributeError with [p]findcog help #2902

PredaaA opened this issue Jul 24, 2019 · 0 comments · Fixed by #2970
Labels
Status: In Progress Type: Bug

Comments

@PredaaA
Copy link
Member

@PredaaA PredaaA commented Jul 24, 2019

Command name

[p]findcog

What cog is this command from?

Downloader

What were you expecting to happen?

The bot is supposed to send which cog this command comes from, or if it isn't from a cog like for this command send something else.

What actually happened?

I got this error:

Exception in command 'findcog'
Traceback (most recent call last):
  File "/home/test/.local/lib/python3.7/site-packages/discord/ext/commands/core.py", line 79, in wrapped
    ret = await coro(*args, **kwargs)
  File "/home/test/.local/lib/python3.7/site-packages/redbot/cogs/downloader/downloader.py", line 593, in findcog
    cog_name = self.cog_name_from_instance(command.cog)
  File "/home/test/.local/lib/python3.7/site-packages/redbot/cogs/downloader/downloader.py", line 577, in cog_name_from_instance
    splitted = instance.__module__.split(".")
AttributeError: 'NoneType' object has no attribute '__module__'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/home/test/.local/lib/python3.7/site-packages/discord/ext/commands/bot.py", line 863, in invoke
    await ctx.command.invoke(ctx)
  File "/home/test/.local/lib/python3.7/site-packages/discord/ext/commands/core.py", line 728, in invoke
    await injected(*ctx.args, **ctx.kwargs)
  File "/home/test/.local/lib/python3.7/site-packages/discord/ext/commands/core.py", line 88, in wrapped
    raise CommandInvokeError(exc) from exc
discord.ext.commands.errors.CommandInvokeError: Command raised an exception: AttributeError: 'NoneType' object has no attribute '__module__'

How can we reproduce this issue?

Use [p]findcog help

@Flame442 Flame442 added the Type: Bug label Aug 9, 2019
@mikeshardmind mikeshardmind added the Status: In Progress label Aug 30, 2019
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
Status: In Progress Type: Bug
Projects
None yet
Development

Successfully merging a pull request may close this issue.

3 participants